Subject: Re[2]: Windows 2k crash while processing big bash script
From: -TifsSoft- <[email-masked]>
To: [email-masked]
Date: Fri, 19 Sep 2003 18:30:06 +0300

I provide all information as wrote in http://cygwin.com/problems.html.
(I reed it before sending problem letter).
cygcheck.out is in my first letter.
I tryed to process ./configure in new copy of cygwin (only base +
gcc + binutils + make...) and I try it with all libraries, having a
one result -- this trouble.

Information about my computer:
 + SiS 5595 M/B
 + K6-II 3D NOW! 400 MHz Processor
 + 256 Mb of DIMM memory (133)
 + Soft modem (Conexant HSF)
 + 30 Gb Maxtor 7200 RPM HDD, 2 Gb free (One FAT partition)

Information about my windows:
  Windows 2000 Russian SP4 + All patches from WindowsUpdate.
  Virtual memory setting -- Min=256Mb Max=1024Mb
  (when windows crashes, memory usage is near 200 mb)
  One copy of cygwin1.dll =) (at \Soft\CygWin\bin)

I ready to provide any information, you need.

Friday, September 19, 2003, 12:48:15 PM, Ronald wrote:

RLC> To start helping you debug this problem, we need a bit more information about
RLC> your Cygwin setup. Could you please read http://cygwin.com/problems.html
RLC> and provided the information mentioned there?

RLC> rlc

RLC> On Fri, Sep 19, 2003 at 12:45:46AM +0300, -TifsSoft- wrote:
>> Hello. I have troubles using cygwin and I think you can resolve them.
>> I can't compile any programm with cygwin under my Windows 2000. When configure
>> script processing, some error occurs and script stops. After that, bash shell
>> that process configuration script unable to execute any command with error
>> "cannot fork: permission denied" or "cannot fork: resource temporarily unavailable"
>> or command executes and:
>> 
>> <---terminal--->
>>      72 [main] bash 2840 sync_with_child: child 30884(0x1D4) died before initialization with status code 0x80
>>    3898 [main] bash 2840 sync_with_child: *** child state waiting for longjmp
>> bash: fork: Resource temporarily unavailable
>> <---/terminal--->
>> 
>> happend. Execution a new cygwin shell instance (from link on desktop) cause
>> error messagebox that says "application initialization error (0xc0000142)".
>> Execution of any windows application cause this error messagebox too.
>> (Looks like it is windows problem becouse windows crashes, but this crash caused by
>> cygwin).
>> 
>> After reboot, all works, and if I start configuration script, windows crashes again
>> (after some time, while script processing...)
>> I don't know, what to do, I like cygwin too much, but I can't work with it.
>> My windows 2000 Russian is SP4 and patched with all available patches from
>> windowsupdate. In Windows 98 all works fine, configuration script successfully
>> processing. Configuration script log for libiconv-1.9.1 and gettext-0.12.1
>> included. I really need you help. Thanks very much in advance.
>> 
>> -- 
>> Best regards,
>>  -TifsSoft-                          mailto:[email-masked]

>> --
>> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>> Problem reports:       http://cygwin.com/problems.html
>> Documentation:         http://cygwin.com/docs.html
>> FAQ:                   http://cygwin.com/faq/

-- 
Best regards,
 -TifsSoft-                            mailto:[email-masked]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/